unit uPedidosClienteViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorPedidosCliente, uEditorPedidoCliente, uEditorElegirPedidosCliente,
  uEditorElegirArticulosPedidoCliente, uEditorPedidosClienteReport;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorPedidosCliente, 'EditorPedidosCliente');
  EditorRegistry.RegisterClass(TfEditorPedidoCliente, 'EditorPedidoCliente');
  EditorRegistry.RegisterClass(TfEditorElegirPedidosCliente, 'EditorElegirPedidosCliente');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosPedidoCliente, 'EditorElegirArticulosPedidosCliente');
  EditorRegistry.RegisterClass(TfEditorPedidosClientePreview, 'EditorPedidosClientePreview');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorPedidosCliente);
  EditorRegistry.UnRegisterClass(TfEditorPedidoCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirPedidosCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosPedidoCliente);
  EditorRegistry.UnRegisterClass(TfEditorPedidosClientePreview);
end;

end.

